### Method

# Tsparql Endpoint set_readonly

since: 3.7

#### Declaration [src]

    void
    tracker_endpoint_set_readonly (
      TrackerEndpoint* endpoint,
      gboolean readonly
    )

#### Description [src]

Sets whether the endpoint will be readonly. Readonly endpoints will not allow SPARQL update queries. The underlying `TrackerSparqlConnection` may be readonly of its own, this method does not change its behavior in any way.

Available since: 3.7

Sets property | `Tsparql.Endpoint:readonly`

#### Parameters

`readonly`

  Type: `gboolean`

  Whether the endpoint will be readonly.